nuxt安装babel兼容es6语法

nuxt脚手架安装默认未安装babel,此为安装过程介绍。
Babel 是一个 JavaScript 编译器。安装babel使工程开发可以兼容 ECMAScript 2015+ 版本语法

1、安装前,使用import语法,运行异常:

2、安装babel:

npm install babel-core babel-preset-es2015 babel-cli

3、修改配置文件package.json下运行脚本,增加babel-node编译

--exec babel-node // 增加babel编译指令
  "scripts": {
    "dev": "cross-env NODE_ENV=development nodemon server/index.js --watch server --exec babel-node", //开发环境
    "build": "nuxt build",
    "start": "cross-env NODE_ENV=production node server/index.js --exec babel-node", // 生产环境
    "generate": "nuxt generate"
  },

3、根目录下增加.babelrc文件,增加babel配置,保存后重新启动项目

{
  "presets": ["es2015"]
}


4、启动成功,查看项目 http://localhost:3000/

5、修改项目require为import语法, 运行成功
file

发表评论

电子邮件地址不会被公开。 必填项已用*标注